# FdoCollection< OBJ, EXC > Class Template Reference

`#include <Collection.h>`

Inheritance diagram for FdoCollection< OBJ, EXC >:

[legend]

List of all members.

## Detailed Description

### template<class OBJ, class EXC>
class FdoCollection< OBJ, EXC >

FdoCollection is an abstract template class for defining standard collection access for all collection classes.

Definition at line 29 of file Collection.h.

## Public Member Functions
virtual FdoInt32 | Add (OBJ *value)
| Adds the specified item to the end of the collection. Returns the index of the newly added item.
virtual void | Clear ()
| Removes all items from the collection.
virtual bool | Contains (const OBJ *value) const
| Returns true if the collection contains the specified item, false otherwise.
virtual FdoInt32 | GetCount () const
| Gets the number of items in the collection.
virtual OBJ * | GetItem (FdoInt32 index) const
| Gets the item in the collection at the specified index. Throws an invalid argument exception if the index is out of range.
virtual FdoInt32 | IndexOf (const OBJ *value) const
| Returns the index of the specified item in the collection or -1 if the item does not exist.
virtual void | Insert (FdoInt32 index, OBJ *value)
| Inserts the specified item at the specified index within the collection. Items following the insertion point are moved down to accommodate the new item. Throws an invalid argument exception if the specified index is out of range.
virtual void | Remove (const OBJ *value)
| Removes the specified item from the collection. Throws an invalid argument exception if the item does not exist within the collection.
virtual void | RemoveAt (FdoInt32 index)
| Removes the specified item from the collection. Throws an invalid argument exception if the item does not exist within the collection.
virtual void | SetItem (FdoInt32 index, OBJ *value)
| Sets the item in the collection at the specified index to the specified value. Throws an invalid argument exception if the index is out of range.
## Protected Member Functions
| FdoCollection ()
virtual | ~FdoCollection ()
## Static Protected Attributes
static const FdoInt32 | INIT_CAPACITY = 10

The documentation for this class was generated from the following file:

- Collection.h